package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PaySubInfo;
import com.ruoyi.pay.domain.vo.PaySubInfoVo;
import com.ruoyi.pay.domain.bo.PaySubInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 租户订阅信息Service接口
 *
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IPaySubInfoService {

    /**
     * 查询租户订阅信息
     */
    PaySubInfoVo queryById(Long id);

    /**
     * 查询租户订阅信息列表
     */
    TableDataInfo<PaySubInfoVo> queryPageList(PaySubInfoBo bo, PageQuery pageQuery);

    /**
     * 查询租户订阅信息列表
     */
    List<PaySubInfoVo> queryList(PaySubInfoBo bo);

    /**
     * 新增租户订阅信息
     */
    Boolean insertByBo(PaySubInfoBo bo);

    /**
     * 修改租户订阅信息
     */
    Boolean updateByBo(PaySubInfoBo bo);

    /**
     * 校验并批量删除租户订阅信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
